import { Fira_Mono, Fira_Sans } from "next/font/google"
import localFont from "next/font/local"

export const firaMono = Fira_Mono({
  subsets: ["latin"],
  weight: ["400", "500", "700"],
  variable: "--ff-fira-mono",
})

export const firaSans = Fira_Sans({
  subsets: ["latin"],
  weight: ["300", "400", "600", "900"],
  variable: "--ff-fira-sans",
})

export const biroScriptPlus = localFont({
  src: [
    {
      path: "../../../public/_static/fonts/biro-script-plus/Biro-Script-Plus.ttf",
      style: "normal",
      weight: "500",
    },
  ],
  variable: "--ff-biro-script-plus",
})
